RPM Community Forums

Mailing List Message of <rpm-users>

Re: Compiling RPM against Python 2.6

From: Jeff Johnson <n3npq@mac.com>
Date: Tue 14 Oct 2008 - 21:47:17 CEST
Message-id: <903DEA6E-2187-41B6-9344-F6DFC08A520C@mac.com>

On Oct 14, 2008, at 3:13 PM, Bernhard Rosenkraenzer wrote:

> On Tuesday 14 October 2008 19:16:26 Eric MSP Veith wrote:
>> This mail hopefully ends my "spam" :-)
>>
>> I see that RPM as of 5.1.5 compiles against Python 2.5, but not  
>> against
>> 2.6.
>
> It's just missing in the configure script -- I'm running rpm built  
> against 2.6
> here without problems.
>
> The patch (for 5.2a1, but should apply to 5.1.5 with little to no  
> change) is
> attached and is already included in CVS head.
>

And now included in the pending rpm-5.1.6 tree.

Bero: BTW, how is life with apt-rpm these days? Apologies if
refactoring on HEAD w #include <rpmiotypes.h> et al broke things.

73 de Jeff
Received on Tue Oct 14 21:47:51 2008
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.